App Instance API
Update App Instance
Update an existing app instance.
PUT
/
v2
/
app-instances
/
{id}
Update App Instance
curl --request PUT \
--url https://public.api.serval.com/v2/app-instances/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalServiceInstanceId": "<string>",
"name": "<string>",
"defaultAccessPolicyId": "<string>",
"accessRequestsEnabled": true
}
'import requests
url = "https://public.api.serval.com/v2/app-instances/{id}"
payload = {
"externalServiceInstanceId": "<string>",
"name": "<string>",
"defaultAccessPolicyId": "<string>",
"accessRequestsEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalServiceInstanceId: '<string>',
name: '<string>',
defaultAccessPolicyId: '<string>',
accessRequestsEnabled: true
})
};
fetch('https://public.api.serval.com/v2/app-instances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customServiceId": "<string>",
"service": "<string>",
"id": "<string>",
"teamId": "<string>",
"externalServiceInstanceId": "<string>",
"name": "<string>",
"accessRequestsEnabled": true,
"defaultAccessPolicyId": "<string>",
"customServiceName": "<string>",
"tagIds": [
"<string>"
]
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the app instance.
Body
application/json
The external service instance ID (e.g., GitHub org name, Okta domain, AWS account ID).
The name of the app instance.
The default access policy for the app instance (optional).
Whether access requests are enabled for the app instance.
Response
Success
The updated app instance.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update App Instance

